% Abort left over jobs.
MPI_Abort;
pause(2.0);

% Delete left over MPI directory
MatMPI_Delete_all;
pause(2.0);

% Define machines, empty means run locally.
% machines = {};
% make sure that the first machine is exactly what the local hostname
% command returns (e.g. cluster14.ai, not cluster14 or cluster14.cs)
%number = 0:3;
%machines = {};
%for ii = 1:length(number)
%    machines{ii} = ['cluster' num2str(number(ii)) '.ai:unix:/w/200/dross'];
%end

machines = {'aqua'};

% make sure the first hostname is okay
[junk,hostname] = unix('hostname');
hostname = deblank(hostname);
if ~strcmp(machines{1}(1:length(hostname)),hostname)
    error('machines{1} should be the same as system(''hostname'')');
end

% run the test using from 1 to 4 processors
for mm = 1:4
    tic;
    eval( MPI_Run('test_MPI_Reduce', mm, machines) );    
    times(mm) = toc
    pause(1.0);
    MatMPI_Delete_all;
end
